<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($precisionproductions, 'pager_precisionproduction');

$precisionproductions = $pager->getStatement();

?>

<table class="table table-striped">
	<caption>Precisionproduction</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td><?php echo $pager->getSortLink('precision'); ?></td>
			<td><?php echo $pager->getSortLink('visible'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($precisionproductions as $precisionproduction): ?>
		<tr>
			<td<?php echo $pager->getClass($precisionproductions); ?>><?php echo $precisionproduction->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($precisionproductions); ?>><?php echo $precisionproduction->get('precision', $filter_html); ?></td>
			<td<?php echo $pager->getClass($precisionproductions); ?>><?php echo $precisionproduction->get('visible', $filter_html); ?></td>
			<td<?php echo $pager->getClass($precisionproductions); ?>><a href="<?php echo $this->getRequest('Precisionproduction', 'edit', $precisionproduction->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/edit.png" alt="Editer" title="Editer" /></a></td>
			<td<?php echo $pager->getClass($precisionproductions); ?>><a href="<?php echo $this->getRequest('Precisionproduction', 'delete', $precisionproduction->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/delete.png" alt="Supprimer" title="Supprimer" /></a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="5"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="5">
				<a href="<?php echo $this->getRequest('Precisionproduction', 'add'); ?>"  class="btn btn-primary">Ajouter</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default">Retour &agrave; index</a>
			</td>
		</tr>
	</tfoot>
</table>